/*
** Thierry Roncalli
** Introduction to Risk Parity & Budgeting
**
**> Page 94
**
*/

new;
library rpb,pgraph;

cls;

rndseed 123;

alpha = 0.99;
gamma1 = seqa(-1,0.5,5)';
let gamma2 = 0.00 0.25 0.50 1.00 2.00 5.00;

{z,VaR} = Compute_Cornish_Fisher_z(0,1,gamma1,gamma2,alpha);

results = (error(0)|gamma2)~(gamma1|VaR);
print ftosa(results,"%lf",3,2);







